Package com.emc.d2fs.services.workflow_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.workflow_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.workflow_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.workflow_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbortWorkflowRequest`
  `createAbortWorkflowRequest()`
  Create an instance of `AbortWorkflowRequest`
  `AbortWorkflowResponse`
  `createAbortWorkflowResponse()`
  Create an instance of `AbortWorkflowResponse`
  `AcquireTaskRequest`
  `createAcquireTaskRequest()`
  Create an instance of `AcquireTaskRequest`
  `AcquireTaskResponse`
  `createAcquireTaskResponse()`
  Create an instance of `AcquireTaskResponse`
  `AcquireWorkflowTaskRequest`
  `createAcquireWorkflowTaskRequest()`
  Create an instance of `AcquireWorkflowTaskRequest`
  `AcquireWorkflowTaskResponse`
  `createAcquireWorkflowTaskResponse()`
  Create an instance of `AcquireWorkflowTaskResponse`
  `AddNoteToTaskRequest`
  `createAddNoteToTaskRequest()`
  Create an instance of `AddNoteToTaskRequest`
  `AddNoteToTaskResponse`
  `createAddNoteToTaskResponse()`
  Create an instance of `AddNoteToTaskResponse`
  `CanAbortWorkflowRequest`
  `createCanAbortWorkflowRequest()`
  Create an instance of `CanAbortWorkflowRequest`
  `CanAbortWorkflowResponse`
  `createCanAbortWorkflowResponse()`
  Create an instance of `CanAbortWorkflowResponse`
  `CanAddTaskNoteRequest`
  `createCanAddTaskNoteRequest()`
  Create an instance of `CanAddTaskNoteRequest`
  `CanAddTaskNoteResponse`
  `createCanAddTaskNoteResponse()`
  Create an instance of `CanAddTaskNoteResponse`
  `CanDelegateTaskRequest`
  `createCanDelegateTaskRequest()`
  Create an instance of `CanDelegateTaskRequest`
  `CanDelegateTaskResponse`
  `createCanDelegateTaskResponse()`
  Create an instance of `CanDelegateTaskResponse`
  `CanForwardTaskRequest`
  `createCanForwardTaskRequest()`
  Create an instance of `CanForwardTaskRequest`
  `CanForwardTaskResponse`
  `createCanForwardTaskResponse()`
  Create an instance of `CanForwardTaskResponse`
  `CanRejectTaskRequest`
  `createCanRejectTaskRequest()`
  Create an instance of `CanRejectTaskRequest`
  `CanRejectTaskResponse`
  `createCanRejectTaskResponse()`
  Create an instance of `CanRejectTaskResponse`
  `CheckAttachmentLockStateRequest`
  `createCheckAttachmentLockStateRequest()`
  Create an instance of `CheckAttachmentLockStateRequest`
  `CheckAttachmentLockStateResponse`
  `createCheckAttachmentLockStateResponse()`
  Create an instance of `CheckAttachmentLockStateResponse`
  `CheckLifeCycleRequest`
  `createCheckLifeCycleRequest()`
  Create an instance of `CheckLifeCycleRequest`
  `CheckLifeCycleResponse`
  `createCheckLifeCycleResponse()`
  Create an instance of `CheckLifeCycleResponse`
  `CheckPropertyPageForNextTaskRequest`
  `createCheckPropertyPageForNextTaskRequest()`
  Create an instance of `CheckPropertyPageForNextTaskRequest`
  `CheckPropertyPageForNextTaskResponse`
  `createCheckPropertyPageForNextTaskResponse()`
  Create an instance of `CheckPropertyPageForNextTaskResponse`
  `CheckWorkflowAliasesRequest`
  `createCheckWorkflowAliasesRequest()`
  Create an instance of `CheckWorkflowAliasesRequest`
  `CheckWorkflowAliasesResponse`
  `createCheckWorkflowAliasesResponse()`
  Create an instance of `CheckWorkflowAliasesResponse`
  `DelegateTaskOnErrorRequest`
  `createDelegateTaskOnErrorRequest()`
  Create an instance of `DelegateTaskOnErrorRequest`
  `DelegateTaskOnErrorResponse`
  `createDelegateTaskOnErrorResponse()`
  Create an instance of `DelegateTaskOnErrorResponse`
  `DelegateTaskRequest`
  `createDelegateTaskRequest()`
  Create an instance of `DelegateTaskRequest`
  `DelegateTaskResponse`
  `createDelegateTaskResponse()`
  Create an instance of `DelegateTaskResponse`
  `GetConfigurationsNamesRequest`
  `createGetConfigurationsNamesRequest()`
  Create an instance of `GetConfigurationsNamesRequest`
  `GetConfigurationsNamesResponse`
  `createGetConfigurationsNamesResponse()`
  Create an instance of `GetConfigurationsNamesResponse`
  `GetTaskFolderLabelRequest`
  `createGetTaskFolderLabelRequest()`
  Create an instance of `GetTaskFolderLabelRequest`
  `GetTaskFolderLabelResponse`
  `createGetTaskFolderLabelResponse()`
  Create an instance of `GetTaskFolderLabelResponse`
  `GetTaskModeRequest`
  `createGetTaskModeRequest()`
  Create an instance of `GetTaskModeRequest`
  `GetTaskModeResponse`
  `createGetTaskModeResponse()`
  Create an instance of `GetTaskModeResponse`
  `GetTaskPermissionsRequest`
  `createGetTaskPermissionsRequest()`
  Create an instance of `GetTaskPermissionsRequest`
  `GetTaskPermissionsResponse`
  `createGetTaskPermissionsResponse()`
  Create an instance of `GetTaskPermissionsResponse`
  `GetWorkflowDisplayNameRequest`
  `createGetWorkflowDisplayNameRequest()`
  Create an instance of `GetWorkflowDisplayNameRequest`
  `GetWorkflowDisplayNameResponse`
  `createGetWorkflowDisplayNameResponse()`
  Create an instance of `GetWorkflowDisplayNameResponse`
  `IsManualAcquisitionTaskRequest`
  `createIsManualAcquisitionTaskRequest()`
  Create an instance of `IsManualAcquisitionTaskRequest`
  `IsManualAcquisitionTaskResponse`
  `createIsManualAcquisitionTaskResponse()`
  Create an instance of `IsManualAcquisitionTaskResponse`
  `IsTaskAcquiredRequest`
  `createIsTaskAcquiredRequest()`
  Create an instance of `IsTaskAcquiredRequest`
  `IsTaskAcquiredResponse`
  `createIsTaskAcquiredResponse()`
  Create an instance of `IsTaskAcquiredResponse`
  `LaunchScheduledWorkflowRequest`
  `createLaunchScheduledWorkflowRequest()`
  Create an instance of `LaunchScheduledWorkflowRequest`
  `LaunchScheduledWorkflowResponse`
  `createLaunchScheduledWorkflowResponse()`
  Create an instance of `LaunchScheduledWorkflowResponse`
  `LaunchWorkflowRequest`
  `createLaunchWorkflowRequest()`
  Create an instance of `LaunchWorkflowRequest`
  `LaunchWorkflowResponse`
  `createLaunchWorkflowResponse()`
  Create an instance of `LaunchWorkflowResponse`
  `ProcessTaskRequest`
  `createProcessTaskRequest()`
  Create an instance of `ProcessTaskRequest`
  `ProcessTaskResponse`
  `createProcessTaskResponse()`
  Create an instance of `ProcessTaskResponse`
  `SetTaskPriorityRequest`
  `createSetTaskPriorityRequest()`
  Create an instance of `SetTaskPriorityRequest`
  `SetTaskPriorityResponse`
  `createSetTaskPriorityResponse()`
  Create an instance of `SetTaskPriorityResponse`
  `SetTaskReadStateRequest`
  `createSetTaskReadStateRequest()`
  Create an instance of `SetTaskReadStateRequest`
  `SetTaskReadStateResponse`
  `createSetTaskReadStateResponse()`
  Create an instance of `SetTaskReadStateResponse`
  `VerifyEntryCriteriaRequest`
  `createVerifyEntryCriteriaRequest()`
  Create an instance of `VerifyEntryCriteriaRequest`
  `VerifyEntryCriteriaResponse`
  `createVerifyEntryCriteriaResponse()`
  Create an instance of `VerifyEntryCriteriaResponse`
  `VerifyEntryCriteriasRequest`
  `createVerifyEntryCriteriasRequest()`
  Create an instance of `VerifyEntryCriteriasRequest`
  `VerifyEntryCriteriasResponse`
  `createVerifyEntryCriteriasResponse()`
  Create an instance of `VerifyEntryCriteriasResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.workflow_service

- ## Method Details

  - ### createIsTaskAcquiredRequest

    public IsTaskAcquiredRequest createIsTaskAcquiredRequest()
    Create an instance of `IsTaskAcquiredRequest`

  - ### createIsTaskAcquiredResponse

    public IsTaskAcquiredResponse createIsTaskAcquiredResponse()
    Create an instance of `IsTaskAcquiredResponse`

  - ### createIsManualAcquisitionTaskRequest

    public IsManualAcquisitionTaskRequest createIsManualAcquisitionTaskRequest()
    Create an instance of `IsManualAcquisitionTaskRequest`

  - ### createIsManualAcquisitionTaskResponse

    public IsManualAcquisitionTaskResponse createIsManualAcquisitionTaskResponse()
    Create an instance of `IsManualAcquisitionTaskResponse`

  - ### createCanForwardTaskRequest

    public CanForwardTaskRequest createCanForwardTaskRequest()
    Create an instance of `CanForwardTaskRequest`

  - ### createCanForwardTaskResponse

    public CanForwardTaskResponse createCanForwardTaskResponse()
    Create an instance of `CanForwardTaskResponse`

  - ### createCanRejectTaskRequest

    public CanRejectTaskRequest createCanRejectTaskRequest()
    Create an instance of `CanRejectTaskRequest`

  - ### createCanRejectTaskResponse

    public CanRejectTaskResponse createCanRejectTaskResponse()
    Create an instance of `CanRejectTaskResponse`

  - ### createCanDelegateTaskRequest

    public CanDelegateTaskRequest createCanDelegateTaskRequest()
    Create an instance of `CanDelegateTaskRequest`

  - ### createCanDelegateTaskResponse

    public CanDelegateTaskResponse createCanDelegateTaskResponse()
    Create an instance of `CanDelegateTaskResponse`

  - ### createCanAddTaskNoteRequest

    public CanAddTaskNoteRequest createCanAddTaskNoteRequest()
    Create an instance of `CanAddTaskNoteRequest`

  - ### createCanAddTaskNoteResponse

    public CanAddTaskNoteResponse createCanAddTaskNoteResponse()
    Create an instance of `CanAddTaskNoteResponse`

  - ### createCanAbortWorkflowRequest

    public CanAbortWorkflowRequest createCanAbortWorkflowRequest()
    Create an instance of `CanAbortWorkflowRequest`

  - ### createCanAbortWorkflowResponse

    public CanAbortWorkflowResponse createCanAbortWorkflowResponse()
    Create an instance of `CanAbortWorkflowResponse`

  - ### createAcquireTaskRequest

    public AcquireTaskRequest createAcquireTaskRequest()
    Create an instance of `AcquireTaskRequest`

  - ### createAcquireTaskResponse

    public AcquireTaskResponse createAcquireTaskResponse()
    Create an instance of `AcquireTaskResponse`

  - ### createCheckLifeCycleRequest

    public CheckLifeCycleRequest createCheckLifeCycleRequest()
    Create an instance of `CheckLifeCycleRequest`

  - ### createCheckLifeCycleResponse

    public CheckLifeCycleResponse createCheckLifeCycleResponse()
    Create an instance of `CheckLifeCycleResponse`

  - ### createCheckPropertyPageForNextTaskRequest

    public CheckPropertyPageForNextTaskRequest createCheckPropertyPageForNextTaskRequest()
    Create an instance of `CheckPropertyPageForNextTaskRequest`

  - ### createCheckPropertyPageForNextTaskResponse

    public CheckPropertyPageForNextTaskResponse createCheckPropertyPageForNextTaskResponse()
    Create an instance of `CheckPropertyPageForNextTaskResponse`

  - ### createCheckWorkflowAliasesRequest

    public CheckWorkflowAliasesRequest createCheckWorkflowAliasesRequest()
    Create an instance of `CheckWorkflowAliasesRequest`

  - ### createCheckWorkflowAliasesResponse

    public CheckWorkflowAliasesResponse createCheckWorkflowAliasesResponse()
    Create an instance of `CheckWorkflowAliasesResponse`

  - ### createProcessTaskRequest

    public ProcessTaskRequest createProcessTaskRequest()
    Create an instance of `ProcessTaskRequest`

  - ### createProcessTaskResponse

    public ProcessTaskResponse createProcessTaskResponse()
    Create an instance of `ProcessTaskResponse`

  - ### createAddNoteToTaskRequest

    public AddNoteToTaskRequest createAddNoteToTaskRequest()
    Create an instance of `AddNoteToTaskRequest`

  - ### createAddNoteToTaskResponse

    public AddNoteToTaskResponse createAddNoteToTaskResponse()
    Create an instance of `AddNoteToTaskResponse`

  - ### createDelegateTaskRequest

    public DelegateTaskRequest createDelegateTaskRequest()
    Create an instance of `DelegateTaskRequest`

  - ### createDelegateTaskResponse

    public DelegateTaskResponse createDelegateTaskResponse()
    Create an instance of `DelegateTaskResponse`

  - ### createDelegateTaskOnErrorRequest

    public DelegateTaskOnErrorRequest createDelegateTaskOnErrorRequest()
    Create an instance of `DelegateTaskOnErrorRequest`

  - ### createDelegateTaskOnErrorResponse

    public DelegateTaskOnErrorResponse createDelegateTaskOnErrorResponse()
    Create an instance of `DelegateTaskOnErrorResponse`

  - ### createSetTaskReadStateRequest

    public SetTaskReadStateRequest createSetTaskReadStateRequest()
    Create an instance of `SetTaskReadStateRequest`

  - ### createSetTaskReadStateResponse

    public SetTaskReadStateResponse createSetTaskReadStateResponse()
    Create an instance of `SetTaskReadStateResponse`

  - ### createSetTaskPriorityRequest

    public SetTaskPriorityRequest createSetTaskPriorityRequest()
    Create an instance of `SetTaskPriorityRequest`

  - ### createSetTaskPriorityResponse

    public SetTaskPriorityResponse createSetTaskPriorityResponse()
    Create an instance of `SetTaskPriorityResponse`

  - ### createGetTaskFolderLabelRequest

    public GetTaskFolderLabelRequest createGetTaskFolderLabelRequest()
    Create an instance of `GetTaskFolderLabelRequest`

  - ### createGetTaskFolderLabelResponse

    public GetTaskFolderLabelResponse createGetTaskFolderLabelResponse()
    Create an instance of `GetTaskFolderLabelResponse`

  - ### createLaunchWorkflowRequest

    public LaunchWorkflowRequest createLaunchWorkflowRequest()
    Create an instance of `LaunchWorkflowRequest`

  - ### createLaunchWorkflowResponse

    public LaunchWorkflowResponse createLaunchWorkflowResponse()
    Create an instance of `LaunchWorkflowResponse`

  - ### createVerifyEntryCriteriaRequest

    public VerifyEntryCriteriaRequest createVerifyEntryCriteriaRequest()
    Create an instance of `VerifyEntryCriteriaRequest`

  - ### createVerifyEntryCriteriaResponse

    public VerifyEntryCriteriaResponse createVerifyEntryCriteriaResponse()
    Create an instance of `VerifyEntryCriteriaResponse`

  - ### createVerifyEntryCriteriasRequest

    public VerifyEntryCriteriasRequest createVerifyEntryCriteriasRequest()
    Create an instance of `VerifyEntryCriteriasRequest`

  - ### createVerifyEntryCriteriasResponse

    public VerifyEntryCriteriasResponse createVerifyEntryCriteriasResponse()
    Create an instance of `VerifyEntryCriteriasResponse`

  - ### createAbortWorkflowRequest

    public AbortWorkflowRequest createAbortWorkflowRequest()
    Create an instance of `AbortWorkflowRequest`

  - ### createAbortWorkflowResponse

    public AbortWorkflowResponse createAbortWorkflowResponse()
    Create an instance of `AbortWorkflowResponse`

  - ### createLaunchScheduledWorkflowRequest

    public LaunchScheduledWorkflowRequest createLaunchScheduledWorkflowRequest()
    Create an instance of `LaunchScheduledWorkflowRequest`

  - ### createLaunchScheduledWorkflowResponse

    public LaunchScheduledWorkflowResponse createLaunchScheduledWorkflowResponse()
    Create an instance of `LaunchScheduledWorkflowResponse`

  - ### createGetTaskModeRequest

    public GetTaskModeRequest createGetTaskModeRequest()
    Create an instance of `GetTaskModeRequest`

  - ### createGetTaskModeResponse

    public GetTaskModeResponse createGetTaskModeResponse()
    Create an instance of `GetTaskModeResponse`

  - ### createGetConfigurationsNamesRequest

    public GetConfigurationsNamesRequest createGetConfigurationsNamesRequest()
    Create an instance of `GetConfigurationsNamesRequest`

  - ### createGetConfigurationsNamesResponse

    public GetConfigurationsNamesResponse createGetConfigurationsNamesResponse()
    Create an instance of `GetConfigurationsNamesResponse`

  - ### createAcquireWorkflowTaskResponse

    public AcquireWorkflowTaskResponse createAcquireWorkflowTaskResponse()
    Create an instance of `AcquireWorkflowTaskResponse`

  - ### createAcquireWorkflowTaskRequest

    public AcquireWorkflowTaskRequest createAcquireWorkflowTaskRequest()
    Create an instance of `AcquireWorkflowTaskRequest`

  - ### createGetWorkflowDisplayNameRequest

    public GetWorkflowDisplayNameRequest createGetWorkflowDisplayNameRequest()
    Create an instance of `GetWorkflowDisplayNameRequest`

  - ### createGetWorkflowDisplayNameResponse

    public GetWorkflowDisplayNameResponse createGetWorkflowDisplayNameResponse()
    Create an instance of `GetWorkflowDisplayNameResponse`

  - ### createGetTaskPermissionsRequest

    public GetTaskPermissionsRequest createGetTaskPermissionsRequest()
    Create an instance of `GetTaskPermissionsRequest`

  - ### createGetTaskPermissionsResponse

    public GetTaskPermissionsResponse createGetTaskPermissionsResponse()
    Create an instance of `GetTaskPermissionsResponse`

  - ### createCheckAttachmentLockStateRequest

    public CheckAttachmentLockStateRequest createCheckAttachmentLockStateRequest()
    Create an instance of `CheckAttachmentLockStateRequest`

  - ### createCheckAttachmentLockStateResponse

    public CheckAttachmentLockStateResponse createCheckAttachmentLockStateResponse()
    Create an instance of `CheckAttachmentLockStateResponse`